> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Variant Pricing

> Retrieves pricing table data for product variants.



## OpenAPI

````yaml swagger.json get /pricebooks/{priceBookId}/products/{productId}/product-variants
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /pricebooks/{priceBookId}/products/{productId}/product-variants:
    get:
      summary: Get Product Variant Pricing
      description: Retrieves pricing table data for product variants.
      parameters:
        - name: priceBookId
          in: path
          required: true
          schema:
            type: string
        - name: productId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Variant pricing retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductVariantPricingData'
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ProductVariantPricingData:
      type: object
      properties:
        isDynamic:
          type: boolean
        template:
          type: string
          nullable: true
        tokens:
          type: array
          items:
            type: string
        properties:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantPricingProperty'
        rows:
          type: array
          items:
            $ref: '#/components/schemas/ProductVariantPricingRow'
      required:
        - isDynamic
        - template
        - tokens
        - properties
        - rows
    ProductVariantPricingProperty:
      type: object
      properties:
        name:
          type: string
        values:
          type: array
          items:
            type: string
      required:
        - name
        - values
    ProductVariantPricingRow:
      type: object
      properties:
        currency:
          type: string
        variantId:
          type: string
        unitPrice:
          type: number
        properties:
          type: object
          additionalProperties:
            type: string
      required:
        - currency
        - variantId
        - unitPrice
        - properties
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````